# Download ticket attachment

`GET /v1/ticket/attachment/@file` · scope `tickets:read`

A ticket's attached file.

## HTTP request

| Item | Value |
| --- | --- |
| URL | `https://api.tino.vn/v1/ticket/attachment/@file` |
| Method | `GET` |
| Scope | `tickets:read` |
| Header | `Authorization: Bearer <token>` |
| Content-Type | — (no body) |
| Tokens that can call it | app tokens (`tinoat_`), personal API tokens (`tinopat_`) |

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `file` | path | string | yes | Ticket attachment file code |
| `Name` | undefined | Type | no | Description |
| `---` | undefined | --- | no | --- |
| `number` | query | integer | no | Ticket number |

## Example request

```bash
curl "https://api.tino.vn/v1/ticket/attachment/a1b2c3d4" \
  -H "Authorization: Bearer $TINO_TOKEN"
```

`$TINO_TOKEN` is a token with the scope `tickets:read`. Path parameters in the example are sample values.

SDK ([SDK & examples](/en/docs/sdk)): Python `client.support.get_attachment(file)`, Node.js `await client.support.getAttachment(file);`, PHP `$client->support->getAttachment($file);`.

## Example response

```json
[
 "file_not_found"
]
```

Live sample from a test account with personal data masked; long arrays and strings are trimmed (`… N more item(s)`, `… N more line(s)`).
